Download it now!
Bug 125270 - Tip Of The Day - clicking on URL in dialog does not bring up the URL in system browser
Summary: Tip Of The Day - clicking on URL in dialog does not bring up the URL in syst...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0.1 target:6.4.0
Keywords:
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-05-13 17:30 UTC by Drew Jensen
Modified: 2019-06-02 15:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture of the dialog with URL and dashed line box (25.55 KB, image/jpeg)
2019-05-13 17:30 UTC, Drew Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2019-05-13 17:30:43 UTC
Created attachment 151374 [details]
screen capture of the dialog with URL and dashed line box

Test system Ubuntu 18.04.1, LO Version: 6.3.0.0.alpha0+
Build ID: 98630a0bd49bd80652145a21e4e0d0ded792b36b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-04_04:44:35

To reproduce:

1 - Start LO and ensure it is set to show TOD (Help->restart in safe mode, if needs be)

2 - Open any odt, ods, odp which triggers the TOD dialog.

3 - If the first tip does not show a URL got to next until one shows up

4 - Click on the URL

Expected result: The URL is opened in the default browser

Actual result: Nothing happens.

ALSO: Not sure if this has anything to do with this but if you look at the attached screenshot notice that there is a box outlined with a dashed line and that the URL text is offset from the inside of that box, I suspect those dashed lines should be around the full URL text displayed.
Comment 1 Drew Jensen 2019-05-13 17:34:45 UTC
Also:

Restarting starting LO (still on the KDE desktop) with SAL_USE_VCLPLUGIN=GTK ./soffice does not change this behavior.
Comment 2 Xisco Faulí 2019-05-13 17:41:12 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Heiko Tietze 2019-06-01 11:06:12 UTC
The URL label triggers generic code that is not limited to TOTD. Meaning it must also be an issue at other places, guess Tools > Options has some. For me it starts my default browser (Arch Linux, LXQt). Any idea, Caolan?
Comment 4 Commit Notification 2019-06-02 15:33:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/c5e383ea5bbbaecd3d745470edbe73bba48de9d3%5E%21

Resolves: tdf#125270 clicking LinkButton should launch link

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-02 15:33:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/609d461794fe2048550d9619eda27b4d6bb8425e%5E%21

Resolves: tdf#125270 clicking LinkButton should launch link

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.